Bug 193693 - selinux polic prevents oprofile from operating
selinux polic prevents oprofile from operating
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 13:22 EDT by William Cohen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 14:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2006-05-31 13:22:08 EDT
Description of problem:

When SELinux is enable oprofile cannot run on the machine. I Have also seen this
problem in rawhide on a domain with a selinux enabled.


Version-Release number of selected component (if applicable):

selinux-policy-2.2.21-7
selinux-policy-target-2.2.21-7
oprofile-0.9.1-8.1.1

How reproducible:

Always

Steps to Reproduce:
1. Have a machine with SELinux installed and enabled
2. As root attempt to start oprofile with "opcontrol --setup --no-vmlinux"
3. See error messages.
  
Actual results:

#opcontrol --setup --no-vmlinux
mount: block device nodev is write-protected, mounting
mount: cannot mount block device nodev readonly
cat: /dev/oprofile/cpu_type: No such file or directory
Unable to open cpu_type file for reading
Make sure you have done opcontrol --init
cpu_typ 'unset' is not valid


Expected results:

OProfile starts running.

Additional info:

tail of /var/log/messages has the following message that appears to be related:


May 31 10:07:36 dhcp59-179 kernel: oprofile_arch_init: ret 0, events 2, is_primary 0
May 31 10:07:36 dhcp59-179 kernel: SELinux: initialized (dev oprofilefs, type
oprofilefs), not configured for labeling
Comment 1 Daniel Walsh 2006-06-15 22:38:08 EDT
Fixed in selinux-policy-2.2.47-3
Comment 2 William Cohen 2006-08-02 14:11:38 EDT
OProfile worked on x86_64 rawhide machine with selinux enabled:

selinux-policy-2.3.3-17
selinux-policy-targeted-2.3.3-17
oprofile-0.9.1-15

$ uname -a
Linux dhcp59-158.rdu.redhat.com 2.6.17-1.2505.fc6 #1 SMP Tue Aug 1 19:53:06 EDT
2006 x86_64 x86_64 x86_64 GNU/Linux




Note You need to log in before you can comment on or make changes to this bug.